Package com.io7m.cedarbridge.runtime.container_protocol

# Record Class CBContainerProtocolUse

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.container_protocol.CBContainerProtocolUse

Record Components:
  `containerProtocolVersion` - The container protocol version that will be used
  `applicationProtocolId` - The application protocol ID that will be used
  `applicationProtocolVersion` - The application protocol version that will be used

public record CBContainerProtocolUse(long containerProtocolVersion, UUID applicationProtocolId, long applicationProtocolVersion) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBContainerProtocolUse(long containerProtocolVersion, UUID applicationProtocolId, long applicationProtocolVersion)`
  Creates an instance of a `CBContainerProtocolUse` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `applicationProtocolId()`
  Returns the value of the `applicationProtocolId` record component.
  `long`
  `applicationProtocolVersion()`
  Returns the value of the `applicationProtocolVersion` record component.
  `long`
  `containerProtocolVersion()`
  Returns the value of the `containerProtocolVersion` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBContainerProtocolUse

    public CBContainerProtocolUse(long containerProtocolVersion, UUID applicationProtocolId, long applicationProtocolVersion)
    Creates an instance of a `CBContainerProtocolUse` record class.
    Parameters:
      `containerProtocolVersion` - the value for the `containerProtocolVersion` record component
      `applicationProtocolId` - the value for the `applicationProtocolId` record component
      `applicationProtocolVersion` - the value for the `applicationProtocolVersion` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### containerProtocolVersion

    public long containerProtocolVersion()
    Returns the value of the `containerProtocolVersion` record component.
    Returns:
      the value of the `containerProtocolVersion` record component

  - ### applicationProtocolId

    public UUID applicationProtocolId()
    Returns the value of the `applicationProtocolId` record component.
    Returns:
      the value of the `applicationProtocolId` record component

  - ### applicationProtocolVersion

    public long applicationProtocolVersion()
    Returns the value of the `applicationProtocolVersion` record component.
    Returns:
      the value of the `applicationProtocolVersion` record component